ColumnParent (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class ColumnParent

    java.lang.Object
      org.apache.cassandra.thrift.ColumnParent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnParent>, org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>

    public class ColumnParent

extends java.lang.Object
implements org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>, java.io.Serializable, java.lang.Cloneable

ColumnParent is used when selecting groups of columns from the same ColumnFamily. In directory structure terms, imagine ColumnParent as ColumnPath + '/../'. See also ColumnPath

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ColumnParent._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.lang.String` | `column_family`
`static java.util.Map<ColumnParent._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.nio.ByteBuffer` | `super_column`

Constructor Summary
`ColumnParent()`
`ColumnParent(ColumnParent other)` Performs a deep copy on other.
`ColumnParent(java.lang.String column_family)`

Method Summary
`java.nio.ByteBuffer` | `bufferForSuper_column()`
`void` | `clear()`
`int` | `compareTo(ColumnParent other)`
`ColumnParent` | `deepCopy()`
`boolean` | `equals(ColumnParent that)`
`boolean` | `equals(java.lang.Object that)`
`ColumnParent._Fields` | `fieldForId(int fieldId)`
`java.lang.String` | `getColumn_family()`
`java.lang.Object` | `getFieldValue(ColumnParent._Fields field)`
`byte[]` | `getSuper_column()`
`int` | `hashCode()`
`boolean` | `isSet(ColumnParent._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_family()` Returns true if field column_family is set (has been assigned a value) and false otherwise
`boolean` | `isSetSuper_column()` Returns true if field super_column is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`ColumnParent` | `setColumn_family(java.lang.String column_family)`
`void` | `setColumn_familyIsSet(boolean value)`
`void` | `setFieldValue(ColumnParent._Fields field, java.lang.Object value)`
`ColumnParent` | `setSuper_column(byte[] super_column)`
`ColumnParent` | `setSuper_column(java.nio.ByteBuffer super_column)`
`void` | `setSuper_columnIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetColumn_family()`
`void` | `unsetSuper_column()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### column_family

    public java.lang.String column_family

### super_column

    public java.nio.ByteBuffer super_column

### metaDataMap

    public static final java.util.Map<ColumnParent._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### ColumnParent

    public ColumnParent()

### ColumnParent

    public ColumnParent(java.lang.String column_family)

### ColumnParent

    public ColumnParent(ColumnParent other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public ColumnParent deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### getColumn_family

    public java.lang.String getColumn_family()

### setColumn_family

    public ColumnParent setColumn_family(java.lang.String column_family)

### unsetColumn_family

    public void unsetColumn_family()

### isSetColumn_family

    public boolean isSetColumn_family()

  Returns true if field column_family is set (has been assigned a value) and false otherwise

### setColumn_familyIsSet

    public void setColumn_familyIsSet(boolean value)

### getSuper_column

    public byte[] getSuper_column()

### bufferForSuper_column

    public java.nio.ByteBuffer bufferForSuper_column()

### setSuper_column

    public ColumnParent setSuper_column(byte[] super_column)

### setSuper_column

    public ColumnParent setSuper_column(java.nio.ByteBuffer super_column)

### unsetSuper_column

    public void unsetSuper_column()

### isSetSuper_column

    public boolean isSetSuper_column()

  Returns true if field super_column is set (has been assigned a value) and false otherwise

### setSuper_columnIsSet

    public void setSuper_columnIsSet(boolean value)

### setFieldValue

    public void setFieldValue(ColumnParent._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(ColumnParent._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### isSet

    public boolean isSet(ColumnParent._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(ColumnParent that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(ColumnParent other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ColumnParent>`

### fieldForId

    public ColumnParent._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<ColumnParent,ColumnParent._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation